Subject: RE: Letter to TXU
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 20 Mar 2002 16:04:51 -0800 (PST)

FYI.  I have legal sign-off on the attached and just need the invoice to cut this baby loose.

RH

 -----Original Message-----
From: 	Mazowita, Mike  
Sent:	Tuesday, March 19, 2002 5:39 PM
To:	Hill, Garrick
Cc:	Parks, Joe
Subject:	Letter to TXU

Rick:

See the attached letter and the spreadsheet (created by Joe) for these volumes. I'm going to have Theresa Vos create a PPEP invoice for this amount.

I need additional contact info from Ken and left him a message. Edit or laugh at will.

Maz

 << File: Invoice_Letter.doc >> 

 << File: MARGAS-#2.xls >>